[FFE] Sync liberasurecode-1.0.5, python-pyeclib-1.0.5m (for vivid), backport for Ubuntu 14.04 LTS)

Bug #1432496 reported by Tushar Gohad
20
This bug affects 1 person
Affects Status Importance Assigned to Milestone
trusty-backports
Wishlist
Scott Kitterman
liberasurecode (Ubuntu)
Undecided
Unassigned
python-pyeclib (Ubuntu)
Undecided
Unassigned

Bug Description

Ubuntu release team,

This is a feature freeze exception request. The library is strategically important for swift, a component of OpenStack. Thank you for considering this fairly simple library sync for vivid.

There have been some important recent updates to liberasurecode package and a new version (1.0.5) has been released - again, we are trying to get this released in time for Swift Erasure Coding support.

   https://packages.debian.org/sid/liberasurecode1 (1.0.5)
   https://packages.debian.org/sid/liberasurecode-dev (1.0.5)

Also:

   https://packages.debian.org/sid/python-pyeclib (1.0.5m)

We'll appreciate if you could help sync these packages to vivid and trusty-backports (this update has been tested to work on both vivid and trusty).

Thank you!

Tushar Gohad (tsg-)
summary: [FFE] Sync liberasurecode-1.0.5, python-pyeclib-1.0.5m (for vivid),
- backport for Ubuntu 14.04 LTS) Edit
+ backport for Ubuntu 14.04 LTS)
Revision history for this message
Scott Kitterman (kitterman) wrote :

Ack. Approved. I'll take care of doing the syncs.

Changed in liberasurecode (Ubuntu):
status: New → Triaged
status: Triaged → Fix Released
Revision history for this message
Scott Kitterman (kitterman) wrote :

This bug was fixed in the package liberasurecode - 1.0.5-2
Sponsored for Trevor Glen (tsg)

---------------
liberasurecode (1.0.5-2) unstable; urgency=medium

  * Adds Breaks: liberasurecode0, Replaces: liberasurecode0. Note that I
    know this shouldn't really be necessary, and that it could be an issue
    for upgrades, but at the same time, I know there's no user of this package
    yet since PyECLib isn't used by Swift & Ceph yet.

 -- Thomas Goirand <email address hidden> Fri, 13 Mar 2015 23:17:04 +0000

liberasurecode (1.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Renamed liberasurecode0 into liberasurecode1 as upstream bumped the
    SONAME.

 -- Thomas Goirand <email address hidden> Fri, 13 Mar 2015 23:51:34 +0100

Revision history for this message
Scott Kitterman (kitterman) wrote :

This bug was fixed in the package python-pyeclib - 1.0.5m-1
Sponsored for Trevor Glen (tsg)

---------------
python-pyeclib (1.0.5m-1) unstable; urgency=medium

  * New upstream release using liberasurecode 1.0.5.
  * Refreshed patches.

 -- Thomas Goirand <email address hidden> Fri, 13 Mar 2015 23:23:29 +0000

python-pyeclib (0.9.10-3) unstable; urgency=medium

  * Fixed the debian/watch file to use the URL from bitbucket.

 -- Thomas Goirand <email address hidden> Sun, 08 Mar 2015 18:41:06 +0000

python-pyeclib (0.9.10-2) unstable; urgency=medium

  * Added missing python{3,}-all-dev build-depends.
  * Added missing libjerasure-dev build-depends.

 -- Thomas Goirand <email address hidden> Thu, 20 Nov 2014 02:15:48 +0800

python-pyeclib (0.9.10-1) unstable; urgency=low

  * Initial release. (Closes: #769519)

 -- Thomas Goirand <email address hidden> Fri, 14 Nov 2014 17:37:50 +0800

Changed in python-pyeclib (Ubuntu):
status: New → Fix Released
Revision history for this message
Tushar Gohad (tsg-) wrote :

Many thanks! Scott for the quick syncs and backports to trusty.

- Tushar Gohad (tsg)

Revision history for this message
Scott Kitterman (kitterman) wrote :

Uploading to ubuntu (via ftp to upload.ubuntu.com):
  Uploading liberasurecode_1.0.5-2~ubuntu14.04.1.dsc: done.
  Uploading liberasurecode_1.0.5.orig.tar.xz: done.
  Uploading liberasurecode_1.0.5-2~ubuntu14.04.1.debian.tar.gz: done.
  Uploading liberasurecode_1.0.5-2~ubuntu14.04.1_source.changes: done.
Successfully uploaded packages.

Uploading to ubuntu (via ftp to upload.ubuntu.com):
  Uploading python-pyeclib_1.0.5m-1~ubuntu14.04.1.dsc: done.
  Uploading python-pyeclib_1.0.5m.orig.tar.xz: done.
  Uploading python-pyeclib_1.0.5m-1~ubuntu14.04.1.debian.tar.gz: done.
  Uploading python-pyeclib_1.0.5m-1~ubuntu14.04.1_source.changes: done.
Successfully uploaded packages.

Changed in trusty-backports:
assignee: nobody → Scott Kitterman (kitterman)
importance: Undecided → Wishlist
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers